Bug 979518 - sudo spec file does not contain requires(post) entry for used chmod command
sudo spec file does not contain requires(post) entry for used chmod command
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sudo (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 13:23 EDT by Etan Reisner
Modified: 2017-09-06 09:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: sudo-1.8.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-12 00:29:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Etan Reisner 2013-06-28 13:23:39 EDT
Description of problem:

The spec file for the sudo package uses /bin/chmod in a %post scriptlet but does not include a 'Requires(post): /bin/chmod' or equivalent entry in the spec file metadata.

I encountered this while running into what I believe to be other, more serious, issues but this is unrelated to them other than in the fact that they triggered the condition that exposed this. (Details and logs: https://gist.github.com/deryni/5877419)
Comment 1 Fedora End Of Life 2013-09-16 10:18:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora Update System 2013-09-30 18:53:53 EDT
sudo-1.8.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sudo-1.8.8-1.fc20
Comment 3 Fedora Update System 2013-10-02 02:51:26 EDT
Package sudo-1.8.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sudo-1.8.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18132/sudo-1.8.8-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-12 00:29:38 EDT
sudo-1.8.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.